function InitCommon()
	SetToolCount(2,-2);
	SetToolCount(3,-1);
	SetToolCount(4,-2);
	SetToolCount(5,-2);
	SetToolCount(6,-2);
	SetToolCount(7,-2);
	SetToolCount(8,-2);
	SetToolCount(9,-2);
end

function OnInit()
	InitCommon();
	RequiresStop(0,true);
--	AddArrow(-3.0,1,-0.5,-90,false,false);
--	AddArrow(160,570,0,-45,true,true);
--	AddArrow(670,550,0,45,true,false);
--	AddArrow(-16,0,-5.5,-135,false,true);
--	AddArrow(16,0,-8.75,135,false,true);
end

function OnReset()
	InitCommon();
end

function OnTrigger(trigger,robot)
	if (trigger==0) then
		EndGame(true);
	end
end
